<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class NewsletterFollowerInviteMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $newsletterJid = null;
    


    protected $newsletterName = null;
    


    protected $jpegThumbnail = null;
    


    protected $caption = null;
    


    protected $contextInfo = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNewsletterJid()
    {
        return isset($this->newsletterJid) ? $this->newsletterJid : '';
    }

    public function hasNewsletterJid()
    {
        return isset($this->newsletterJid);
    }

    public function clearNewsletterJid()
    {
        unset($this->newsletterJid);
    }

    




    public function setNewsletterJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->newsletterJid = $var;

        return $this;
    }

    



    public function getNewsletterName()
    {
        return isset($this->newsletterName) ? $this->newsletterName : '';
    }

    public function hasNewsletterName()
    {
        return isset($this->newsletterName);
    }

    public function clearNewsletterName()
    {
        unset($this->newsletterName);
    }

    




    public function setNewsletterName($var)
    {
        GPBUtil::checkString($var, True);
        $this->newsletterName = $var;

        return $this;
    }

    



    public function getJpegThumbnail()
    {
        return isset($this->jpegThumbnail) ? $this->jpegThumbnail : '';
    }

    public function hasJpegThumbnail()
    {
        return isset($this->jpegThumbnail);
    }

    public function clearJpegThumbnail()
    {
        unset($this->jpegThumbnail);
    }

    




    public function setJpegThumbnail($var)
    {
        GPBUtil::checkString($var, False);
        $this->jpegThumbnail = $var;

        return $this;
    }

    



    public function getCaption()
    {
        return isset($this->caption) ? $this->caption : '';
    }

    public function hasCaption()
    {
        return isset($this->caption);
    }

    public function clearCaption()
    {
        unset($this->caption);
    }

    




    public function setCaption($var)
    {
        GPBUtil::checkString($var, True);
        $this->caption = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

}

